
#include "log.h"

static zlog_category_t * zcat = NULL;


int 
log_init()
{
    int ret = 0;
    const char * zlog_conf = "./zlog.conf"; 

    ret = zlog_init(zlog_conf);
    zcat = zlog_get_category("cms");
    if (zcat == NULL) {
        fprintf(stderr, "ZLOG init error!");
        zlog_fini();
        ret = -1;
    } 

    return ret;
}

void 
log_fini()
{
    zlog_fini();
}

zlog_category_t *
get_zcat()
{
    return zcat;
}

